<?php
define('MODX_API_MODE', true);
require dirname(dirname(dirname(dirname(__FILE__)))) . '/index.php';
$modx->getService('error', 'error.modError');
$modx->setLogLevel(modX::LOG_LEVEL_INFO);
$modx->setLogTarget('FILE');
$miniShop2 = $modx->getService('minishop2');
$miniShop2->loadCustomClasses('payment');
if (!class_exists('RBSPaymentalfabank')) {
exit('Error: could not load payment class "RBSPaymentalfabank".');
}
$context = '';
$params = array();
$handler = new RBSPaymentalfabank($modx->newObject('msOrder'));
$modx->lexicon->load('rbspayment_alfabank:default');
?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title><?= $modx->lexicon('rbspayment_alfabank_payment_pagetitle'); ?></title>
</head>
<body>
<?php if(isset($_GET['ms_order_id'])) { ?>
<?php
$order = $modx->getObject('msOrder', $_GET['ms_order_id']);
?>
<?php if(!$order) { ?>
<div class="rbspayment_alfabank-window">
<div class="rbspayment_alfabank-message">
<p class="redirect-error"><?= $modx->lexicon('rbspayment_alfabank_payment_error_title'); ?></p>
<p class="return-store"><a href="/"><?= $modx->lexicon('rbspayment_alfabank_payment_return_store'); ?></a></p>
</div>
</div>
<?php die; ?>
<?php } ?>
<?php if($order->get('status') == 2 || $order->get('status') == 3) { ?>
<div class="rbspayment_alfabank-window">
<div class="rbspayment_alfabank-message">
<p><?= $modx->lexicon('rbspayment_alfabank_payment_you_order'); ?> <b>#<?=$order->get('num')?></b> <?= $modx->lexicon('rbspayment_alfabank_payment_allready_payment'); ?>.<br></p>
<p class="return-store"><a href="/"><?= $modx->lexicon('rbspayment_alfabank_payment_return_store'); ?></a></p>
</div>
</div>
<?php } else { ?>
<?php
$result = $handler->send($order);
?>
<?php if($result['data']['error'] == 0) { ?>
<div class="rbspayment_alfabank-window">
<div class="rbspayment_alfabank-message">
<p><?= $modx->lexicon('rbspayment_alfabank_payment_you_order'); ?> <b>#<?=$order->get('num')?></b></p>
<div class="loader-block">
<span class="loader"></span>
</div>
<p class="redirect"><?= $modx->lexicon('rbspayment_alfabank_payment_redirect_bank'); ?></p>
</div>
</div>
<script>
const url = "<?=$result['data']['redirect']?>";
setTimeout(function() {
window.location.href = url;
},2000)
</script>
<?php } else { ?>
<div class="rbspayment_alfabank-window">
<div class="rbspayment_alfabank-message">
<p><?= $modx->lexicon('rbspayment_alfabank_payment_order'); ?>: <b>#<?=$order->get('num')?></b></p>
<p class="redirect-error"><?= $modx->lexicon('rbspayment_alfabank_payment_error_order_create'); ?></p>
<hr>
<p class="bank-error-code"><?= $modx->lexicon('rbspayment_alfabank_payment_error_code'); ?>: #<?= $result['data']['code']?></p>
<p class="bank-error-message"><?= $result['data']['message']?></p>
<p class="return-store"><a href="/"><?= $modx->lexicon('rbspayment_alfabank_payment_return_store'); ?></a></p>
</div>
</div>
<?php } ?>
<?php } ?>
<?php } ?>
<style>
.rbspayment_alfabank-window {
position: absolute;
left: 0;
top: 0;
background: #f2f2f2;
width: 100%;
height: 100%;
box-sizing: border-box;
display: flex;
align-items: center;
justify-content: center;
font-family: arial;
}
.rbspayment_alfabank-message {
width: 100%;
max-width: 500px;
height: auto;
padding: 30px;
box-sizing: border-box;
background: #fff;
border-radius: 6px;
text-align: center;
box-shadow: 0px 0px 22px #dbdbdb;
}
.redirect-error {
font-size: 22px;
color: red;
margin: 0;
padding: 0;
}
.bank-error-code {
font-size: 24px;
margin: 0 0 10px;
padding: 0;
}
.bank-error-message {
font-size: 16px;
margin: 0;
padding: 0;
}
.return-store {
font-size: 16px;
color: #666;
margin: 0;
margin-top: 30px;
}
.return-store a {
color: #4a57f5;
}
.loader-block {
width: 100px;
height: 80px;
display: flex;
align-items: center;
justify-content: center;
margin: 0 auto;
}
.loader {
width: 60px;
height: 60px;
border-radius: 50%;
position: relative;
animation: rotate 1s linear infinite
}
.loader::before , .loader::after {
content: "";
box-sizing: border-box;
position: absolute;
inset: 0px;
border-radius: 50%;
border: 5px solid #b2bbc0;
animation: prixClipFix 2s linear infinite ;
}
.loader::after{
border-color: #4a5e65;
animation: prixClipFix 2s linear infinite , rotate 0.5s linear infinite reverse;
inset: 6px;
}
@keyframes rotate {
0%   {transform: rotate(0deg)}
100%   {transform: rotate(360deg)}
}
@keyframes prixClipFix {
0%   {clip-path:polygon(50% 50%,0 0,0 0,0 0,0 0,0 0)}
25%  {clip-path:polygon(50% 50%,0 0,100% 0,100% 0,100% 0,100% 0)}
50%  {clip-path:polygon(50% 50%,0 0,100% 0,100% 100%,100% 100%,100% 100%)}
75%  {clip-path:polygon(50% 50%,0 0,100% 0,100% 100%,0 100%,0 100%)}
100% {clip-path:polygon(50% 50%,0 0,100% 0,100% 100%,0 100%,0 0)}
}
.redirect {
color: #999;
font-size: 14px;
}
</style>
</body>
</html>